"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const Vue = require("vue");
const constants = require("./constants.js");
const popper2 = require("./popper2.js");
const pluginVue_exportHelper = require("../../../_virtual/plugin-vue_export-helper.js");
const v = Vue.defineComponent({
  name: "ElPopper",
  inheritAttrs: false
}), E = /* @__PURE__ */ Vue.defineComponent({
  ...v,
  props: popper2.popperProps,
  setup(t, { expose: p }) {
    const n = t, s = Vue.ref(), f = Vue.ref(), c = Vue.ref(), _ = Vue.ref(), i = Vue.computed(() => n.role), o = {
      triggerRef: s,
      popperInstanceRef: f,
      contentRef: c,
      referenceRef: _,
      role: i
    };
    return p(o), Vue.provide(constants.POPPER_INJECTION_KEY, o), (m, I) => Vue.renderSlot(m.$slots, "default");
  }
});
var N = /* @__PURE__ */ pluginVue_exportHelper.default(E, [["__file", "popper.vue"]]);
exports.default = N;
